/*
 * Copyright 2005-2010 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * This package provides the integration of <code>org.wamblee.inject</code> with
 * Contexts and Dependency Injection (JSR-299). 
 * 
 * The APIs of this package are typically not used directly but are used implicitly through
 * {@link org.wamblee.inject.SimpleInjector}, {@link org.wamblee.inject.InjectorFactoryBuilder}, and 
 * {@link org.wamblee.inject.Injectable}.
 * 
 * To use CDI this package must be available on the classpath. 
 */
package org.wamblee.cdi;


